org.icefaces.ace.model.table

## Class RowState

- java.lang.Object
- - org.icefaces.ace.model.table.RowState

- All Implemented Interfaces:
    java.io.Serializable

      public class RowState
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RowState.ExpansionType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowState()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActiveCellEditor(javax.faces.component.UIComponent editor)` Convenience method to take the id of the CellEditor component and add it to the list of active editors in the row state for a given row object.
    `void` | `addSelectedCell(javax.faces.component.UIComponent column)`
    `java.util.List<java.lang.String>` | `getActiveCellEditorIds()`
    `RowState.ExpansionType` | `getExpansionType()`
    `java.util.List<java.lang.String>` | `getSelectedColumnIds()`
    `java.lang.String` | `getType()`
    `boolean` | `isEditable()`
    `boolean` | `isExpandable()`
    `boolean` | `isExpanded()`
    `boolean` | `isSelectable()`
    `boolean` | `isSelected()`
    `boolean` | `isVisible()`
    `void` | `removeActiveCellEditor(javax.faces.component.UIComponent editor)` Convenience method to take the id of the CellEditor component and remove it from the list of active editors in the row state for a given row object.
    `void` | `removedSelectedCell(javax.faces.component.UIComponent column)`
    `void` | `setActiveCellEditorIds(java.util.List<java.lang.String> activeCellEditorIds)`
    `void` | `setEditable(boolean editable)`
    `void` | `setExpandable(boolean expandable)`
    `void` | `setExpanded(boolean expanded)`
    `void` | `setExpansionType(RowState.ExpansionType expansionType)`
    `void` | `setSelectable(boolean selectable)`
    `void` | `setSelected(boolean selected)`
    `void` | `setSelectedColumnIds(java.util.List<java.lang.String> selectedColumnIds)`
    `void` | `setType(java.lang.String type)`
    `void` | `setVisible(boolean visible)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RowState

          public RowState()

  - ### Method Detail

    - #### getExpansionType

          public RowState.ExpansionType getExpansionType()

    - #### setExpansionType

          public void setExpansionType(RowState.ExpansionType expansionType)

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType(java.lang.String type)

    - #### isSelected

          public boolean isSelected()

    - #### setSelected

          public void setSelected(boolean selected)

    - #### isSelectable

          public boolean isSelectable()

    - #### setSelectable

          public void setSelectable(boolean selectable)

    - #### isExpanded

          public boolean isExpanded()

    - #### setExpanded

          public void setExpanded(boolean expanded)

    - #### isExpandable

          public boolean isExpandable()

    - #### setExpandable

          public void setExpandable(boolean expandable)

    - #### isEditable

          public boolean isEditable()

    - #### setEditable

          public void setEditable(boolean editable)

    - #### isVisible

          public boolean isVisible()

    - #### setVisible

          public void setVisible(boolean visible)

    - #### getActiveCellEditorIds

          public java.util.List<java.lang.String> getActiveCellEditorIds()

    - #### getSelectedColumnIds

          public java.util.List<java.lang.String> getSelectedColumnIds()

    - #### setSelectedColumnIds

          public void setSelectedColumnIds(java.util.List<java.lang.String> selectedColumnIds)

    - #### addSelectedCell

          public void addSelectedCell(javax.faces.component.UIComponent column)

    - #### removedSelectedCell

          public void removedSelectedCell(javax.faces.component.UIComponent column)

    - #### setActiveCellEditorIds

          public void setActiveCellEditorIds(java.util.List<java.lang.String> activeCellEditorIds)

    - #### addActiveCellEditor

          public void addActiveCellEditor(javax.faces.component.UIComponent editor)

      Convenience method to take the id of the CellEditor component and add it to the list of active editors in the row state for a given row object. Only call this method while DataTable has a row index set or the editor will be disabled for all rows.
      Parameters:
        `editor` -

    - #### removeActiveCellEditor

          public void removeActiveCellEditor(javax.faces.component.UIComponent editor)

      Convenience method to take the id of the CellEditor component and remove it from the list of active editors in the row state for a given row object. Only call this method while DataTable has a row index set or the editor will be disabled for all rows.
      Parameters:
        `editor` -

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.